package oo15loipe;

/**
 * Interface for a class describing a Loipe
 * 
 * @author Camil Staps, s4498062, Thijs Heijligenberg, s4451414
 */
public interface InfoLoipe {
    
    public int getWidth( ) ; // grootte in oost􀀀west r i cht ing
    public int getHeight( ) ; // grootte in noord􀀀zuid r i cht ing
    
    /**
     * Get the fragment at position (x, y)
     * 
     * @param x
     * @param y
     * @return 
     */
    public Fragment getFragment( int x, int y) ; // fragment van de loipe op po s i t i e (x , y)
    
    /**
     * Get the first position of the loipe
     * 
     * @return 
     */
    public Punt start( ) ; // Het startpunt op de kaart
    
    /**
     * Get the next position in the loipe
     * @return 
     */
    public Punt stap( ) ; // het volgende punt op de route
}

